> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Matrix



## OpenAPI

````yaml /openapi.json get /v1/workspaces/{workspaceId}/projects/{projectId}/area-allocations/matrix
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/projects/{projectId}/area-allocations/matrix:
    get:
      tags:
        - Project Area Allocations
      summary: Get Matrix
      operationId: ProjectAreaAllocationsController_getMatrix_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
        - name: projectId
          required: true
          in: path
          schema:
            type: string
        - name: slotIds
          required: true
          in: query
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProjectAreaAllocationMatrixResponseDto'
      security:
        - bearer: []
components:
  schemas:
    ProjectAreaAllocationMatrixResponseDto:
      type: object
      properties:
        structureVersion:
          type: number
        areas:
          type: array
          items:
            $ref: '#/components/schemas/ProjectAreaAllocationAreaResponseDto'
        allocations:
          type: array
          items:
            $ref: '#/components/schemas/ProjectAreaAllocationResponseDto'
        slotTotals:
          type: array
          items:
            $ref: '#/components/schemas/ProjectAreaAllocationSlotTotalResponseDto'
      required:
        - structureVersion
        - areas
        - allocations
        - slotTotals
    ProjectAreaAllocationAreaResponseDto:
      type: object
      properties:
        areaId:
          type: string
        parentId:
          type: string
          nullable: true
        level:
          type: number
        levelKey:
          type: string
        levelLabel:
          type: string
        code:
          type: string
          nullable: true
        name:
          type: string
        multiplier:
          type: number
        effectiveInstanceCount:
          type: string
        ancestorPath:
          type: array
          items:
            $ref: '#/components/schemas/ProjectAreaAllocationAncestorResponseDto'
      required:
        - areaId
        - parentId
        - level
        - levelKey
        - levelLabel
        - code
        - name
        - multiplier
        - effectiveInstanceCount
        - ancestorPath
    ProjectAreaAllocationResponseDto:
      type: object
      properties:
        id:
          type: string
        slotId:
          type: string
        areaId:
          type: string
        quantity:
          type: string
        effectiveQuantity:
          type: string
        version:
          type: number
      required:
        - id
        - slotId
        - areaId
        - quantity
        - effectiveQuantity
        - version
    ProjectAreaAllocationSlotTotalResponseDto:
      type: object
      properties:
        slotId:
          type: string
        effectiveQuantity:
          type: string
        slotQuantity:
          type: string
      required:
        - slotId
        - effectiveQuantity
        - slotQuantity
    ProjectAreaAllocationAncestorResponseDto:
      type: object
      properties:
        id:
          type: string
        code:
          type: string
          nullable: true
        name:
          type: string
      required:
        - id
        - code
        - name
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````